btllib

Functions
seq.hpp File Reference
`#include "status.hpp"`
`#include <algorithm>`
`#include <string>`

Go to the source code of this file.

## Functions
void | btllib::reverse_complement (std::string &seq)
std::string | btllib::get_reverse_complement (const std::string &seq)

## Detailed Description

Functions for sequence manipulation.

## Function Documentation

## ◆ get_reverse_complement()

std::string btllib::get_reverse_complement | ( | const std::string & | seq | ) |
| inline

Obtain a reverse complement of the provided sequence. The argument sequence is left untouched.

Parameters

  seq | Sequence to reverse complement.

Returns
  Reverse complemented sequence.

## ◆ reverse_complement()

void btllib::reverse_complement | ( | std::string & | seq | ) |
| inline

Reverse complement a sequence in-place.

Parameters

  seq | Sequence to reverse complement.